xcb_damage_destroy(3)

NAME
xcb_damage_destroy - Destroys a previously created Damage object.

SYNOPSIS
#include <xcb/damage.h>

  Request function

xcb_void_cookie_t xcb_damage_destroy(xcb_connection_t *conn, xcb_damage_damage_t damage);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

damage
    The ID you provided to xcb_create_damage.

DESCRIPTION
This destroys a Damage object and requests the X server stop reporting the changes it was tracking.

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_damage_destroy_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO
xcb-requests(3)

AUTHOR
Generated from damage.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.